> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tensorpro.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Search



## OpenAPI

````yaml get /api/v1/retrieval/search
openapi: 3.1.0
info:
  title: EDN Memory Engine
  version: 0.1.0
servers:
  - description: EDN evaluation endpoint
    url: https://api.tensorpro.ai
security:
  - EDNApiKey: []
paths:
  /api/v1/retrieval/search:
    get:
      summary: Search
      operationId: search_api_v1_retrieval_search_get
      parameters:
        - description: Search text
          in: query
          name: q
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Search text
            title: Q
        - description: Max records to return
          in: query
          name: limit
          required: false
          schema:
            default: 10
            description: Max records to return
            minimum: 1
            title: Limit
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SearchResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    SearchResponse:
      properties:
        count:
          title: Count
          type: integer
        records:
          items:
            $ref: '#/components/schemas/RetrievalRecord'
          title: Records
          type: array
        user_id:
          title: User Id
          type: string
      required:
        - records
        - count
        - user_id
      title: SearchResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    RetrievalRecord:
      properties:
        content_summary:
          title: Content Summary
          type: string
        created_at:
          title: Created At
          type: string
        domain:
          title: Domain
          type: string
        id:
          title: Id
          type: string
        provenance:
          title: Provenance
          type: string
        similarity:
          title: Similarity
          type: number
      required:
        - id
        - content_summary
        - provenance
        - domain
        - similarity
        - created_at
      title: RetrievalRecord
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    EDNApiKey:
      description: >-
        EDN API key presented as 'Bearer <key>' in the Authorization header.
        Create and manage keys from the Console.
      in: header
      name: Authorization
      type: apiKey

````